Bug 83926 - [chromium] add frame boundaries instrumentation for the threaded compositor
Summary: [chromium] add frame boundaries instrumentation for the threaded compositor
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andrey Kosyakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-13 11:46 PDT by Andrey Kosyakov
Modified: 2012-04-28 02:57 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.30 KB, patch)
2012-04-13 11:48 PDT, Andrey Kosyakov
jamesr: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Kosyakov 2012-04-13 11:46:17 PDT
We do not receive instrumentBeginFrame() from the platform in case of threaded compositing, so call it upon callback from CCThreadProxy (WebViewImpl::willBeginFrame())
This fixes frame boundaries in the WebInspector's Timeline panel.
Comment 1 Andrey Kosyakov 2012-04-13 11:48:46 PDT
Created attachment 137119 [details]
Patch
Comment 2 Nat Duca 2012-04-16 23:03:07 PDT
Neat. LGTM.
Comment 3 Andrey Kosyakov 2012-04-28 02:57:19 PDT
Committed r115563: <http://trac.webkit.org/changeset/115563>